package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

@TableName("drp_warehouse_fetch_user")
@ApiModel(
   description = "仓库绑定档口领料人表"
)
public class DrpWarehouseFetchUser implements Serializable {
   private static final long serialVersionUID = -66376518035435843L;
   @TableId
   private Long id;
   private Long warehouseId;
   private Long canteenId;
   private Long stallId;
   private Long fetchUserId;

   public Long getId() {
      return this.id;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getFetchUserId() {
      return this.fetchUserId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setFetchUserId(final Long fetchUserId) {
      this.fetchUserId = fetchUserId;
   }

}
